VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec:

## Avaliable Methods
public method | set_master ()
public method | get_master ()
public method | set_primary ()
public method | get_primary ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec` class contains information for specifying the address of a virtual device that is attached to a virtual IDE adapter of a virtual machine.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec::get_master | ( |  | ) |

Gets the value of 'master' property.

Return values

  master | - The current value of the field. Flag specifying whether the device should be the master or slave device on the IDE adapter. Optional#

Code:
click to view
# Number of lines of code in get_master: 4
sub get_master {
my ($self, %args) = @_;
return $self->{'master'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec::get_primary | ( |  | ) |

Gets the value of 'primary' property.

Return values

  primary | - The current value of the field. Flag specifying whether the device should be attached to the primary or secondary IDE adapter of the virtual machine. Optional#

Code:
click to view
# Number of lines of code in get_primary: 4
sub get_primary {
my ($self, %args) = @_;
return $self->{'primary'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{primary} = $args{'primary'};
$self->{master} = $args{'master'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.ide_address_spec');
$self->set_binding_field('key' => 'primary', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'master', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec::set_master | ( |  | ) |

Sets the given value for 'master' property.

Parameters

  master | - New value for the field. Flag specifying whether the device should be the master or slave device on the IDE adapter.

Code:
click to view
# Number of lines of code in set_master: 5
sub set_master {
my ($self, %args) = @_;
$self->{'master'} = $args{'master'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::IdeAddressSpec::set_primary | ( |  | ) |

Sets the given value for 'primary' property.

Parameters

  primary | - New value for the field. Flag specifying whether the device should be attached to the primary or secondary IDE adapter of the virtual machine.

Code:
click to view
# Number of lines of code in set_primary: 5
sub set_primary {
my ($self, %args) = @_;
$self->{'primary'} = $args{'primary'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/IdeAddressSpec.pm